POST api/NTSetting/PostSupply

Request Information

URI Parameters

None.

Body Parameters

SupplyDTO
NameDescriptionTypeAdditional information
Id

integer

None.

Name

string

String length: inclusive between 0 and 50

Sequence

integer

None.

SupplyCategoryId

integer

None.

Description

string

String length: inclusive between 0 and 4000

Protocols

string

String length: inclusive between 0 and 8000

SupplyCategoryName

string

String length: inclusive between 0 and 100

Todaydate

date

None.

lstSupplyType

Collection of SupplyTypeDTO

None.

CPTCode

string

String length: inclusive between 0 and 20

TangAndCompanyCode

string

String length: inclusive between 0 and 10

IsFavourite

boolean

None.

ValidFlag

boolean

None.

DateCreated

date

None.

DateUpdated

date

None.

UserIDCreated

integer

None.

UserIDUpdated

integer

None.

CompanyCode

string

String length: inclusive between 0 and 10

IsExcludeDiscount

boolean

None.

Request Formats

application/json, text/json

Sample:
{
  "Id": 1,
  "Name": "sample string 2",
  "Sequence": 3,
  "SupplyCategoryId": 1,
  "Description": "sample string 4",
  "Protocols": "sample string 5",
  "SupplyCategoryName": "sample string 6",
  "Todaydate": "2026-06-20T09:08:01.8377051-07:00",
  "lstSupplyType": [
    {
      "Id": 1,
      "Name": "sample string 2",
      "SupplyId": 3,
      "Sequence": 4,
      "CPTCode": "sample string 5",
      "TangAndCompanyCode": "sample string 6",
      "ValidFlag": true,
      "DateCreated": "2026-06-20T09:08:01.8377051-07:00",
      "DateUpdated": "2026-06-20T09:08:01.8377051-07:00",
      "UserIDCreated": 10,
      "UserIDUpdated": 11,
      "CompanyCode": "sample string 12",
      "IsExcludeDiscount": true
    },
    {
      "Id": 1,
      "Name": "sample string 2",
      "SupplyId": 3,
      "Sequence": 4,
      "CPTCode": "sample string 5",
      "TangAndCompanyCode": "sample string 6",
      "ValidFlag": true,
      "DateCreated": "2026-06-20T09:08:01.8377051-07:00",
      "DateUpdated": "2026-06-20T09:08:01.8377051-07:00",
      "UserIDCreated": 10,
      "UserIDUpdated": 11,
      "CompanyCode": "sample string 12",
      "IsExcludeDiscount": true
    }
  ],
  "CPTCode": "sample string 7",
  "TangAndCompanyCode": "sample string 8",
  "IsFavourite": true,
  "ValidFlag": true,
  "DateCreated": "2026-06-20T09:08:01.8377051-07:00",
  "DateUpdated": "2026-06-20T09:08:01.8377051-07:00",
  "UserIDCreated": 13,
  "UserIDUpdated": 14,
  "CompanyCode": "sample string 15",
  "IsExcludeDiscount": true
}

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

AsapResponseOfSupplyDTO
NameDescriptionTypeAdditional information
isSuccess

boolean

None.

message

string

None.

jsonObj

SupplyDTO

None.

totalCount

integer

None.

Response Formats

application/json, text/json

Sample:
{
  "isSuccess": true,
  "message": "sample string 2",
  "jsonObj": {
    "Id": 1,
    "Name": "sample string 2",
    "Sequence": 3,
    "SupplyCategoryId": 1,
    "Description": "sample string 4",
    "Protocols": "sample string 5",
    "SupplyCategoryName": "sample string 6",
    "Todaydate": "2026-06-20T09:08:01.8377051-07:00",
    "lstSupplyType": [
      {
        "Id": 1,
        "Name": "sample string 2",
        "SupplyId": 3,
        "Sequence": 4,
        "CPTCode": "sample string 5",
        "TangAndCompanyCode": "sample string 6",
        "ValidFlag": true,
        "DateCreated": "2026-06-20T09:08:01.8377051-07:00",
        "DateUpdated": "2026-06-20T09:08:01.8377051-07:00",
        "UserIDCreated": 10,
        "UserIDUpdated": 11,
        "CompanyCode": "sample string 12",
        "IsExcludeDiscount": true
      },
      {
        "Id": 1,
        "Name": "sample string 2",
        "SupplyId": 3,
        "Sequence": 4,
        "CPTCode": "sample string 5",
        "TangAndCompanyCode": "sample string 6",
        "ValidFlag": true,
        "DateCreated": "2026-06-20T09:08:01.8377051-07:00",
        "DateUpdated": "2026-06-20T09:08:01.8377051-07:00",
        "UserIDCreated": 10,
        "UserIDUpdated": 11,
        "CompanyCode": "sample string 12",
        "IsExcludeDiscount": true
      }
    ],
    "CPTCode": "sample string 7",
    "TangAndCompanyCode": "sample string 8",
    "IsFavourite": true,
    "ValidFlag": true,
    "DateCreated": "2026-06-20T09:08:01.8377051-07:00",
    "DateUpdated": "2026-06-20T09:08:01.8377051-07:00",
    "UserIDCreated": 13,
    "UserIDUpdated": 14,
    "CompanyCode": "sample string 15",
    "IsExcludeDiscount": true
  },
  "totalCount": 3
}